package com.unis.base.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyHtxxVO;
import com.unis.base.common.vo.TyZjxxmxbVO;
import com.unis.base.server.domain.TyZjxxmxbDomain;
import com.unis.base.server.entity.TyZjxxmxbDO;
import com.unis.base.server.service.TyZjxxmxbService;
import com.unis.common.utils.LsBeanUtils;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyZjxxmxbServiceImpl implements TyZjxxmxbService {

	@Autowired
	private TyZjxxmxbDomain tyZjxxmxbDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyZjxxmxbVO> getTyZjxxmxbList(TyZjxxmxbVO tyZjxxmxbVO) {
		return tyZjxxmxbDomain.getTyZjxxmxbList(tyZjxxmxbVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyZjxxmxbVO> getTyZjxxmxbPage(TyZjxxmxbVO tyZjxxmxbVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyZjxxmxbDomain.getTyZjxxmxbList(tyZjxxmxbVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyZjxxmxbVO tyZjxxmxbVO) {
		return tyZjxxmxbDomain.insert(tyZjxxmxbVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyZjxxmxbVO tyZjxxmxbVO) {
		return tyZjxxmxbDomain.update(tyZjxxmxbVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String zjxxid) {
		//根据编号获取廒间信息
		TyZjxxmxbVO tyZjxxmxbVO = tyZjxxmxbDomain.getTyZjxxmxbById(zjxxid);
		if(tyZjxxmxbVO == null) {
			return -1;
		}
		tyZjxxmxbVO.setStatus(0);
		return tyZjxxmxbDomain.update(tyZjxxmxbVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyZjxxmxbVO getZjxxmxbByZjxxmxbid(String zjxxid) {
		return tyZjxxmxbDomain.getTyZjxxmxbById(zjxxid);
	}

	/**
	 * 用质检信息id获得所有的列表
	 */
	@Override
	public List<TyZjxxmxbVO> getTyZjxxmxbVOList(String zjxxid) {

		 List<TyZjxxmxbVO> tyZjxxmxbByzjxxid = tyZjxxmxbDomain.getTyZjxxmxbByzjxxid(zjxxid);

		 return tyZjxxmxbByzjxxid;



	}

	/**
	 * 批量新增信息
	 * @param TyZjxxmxbVO
	 * @return
	 */
	@Override
	public int batchInserts(List<TyZjxxmxbVO> tyZjxxmxbVO) {
		return tyZjxxmxbDomain.batchInserts(tyZjxxmxbVO);
	}

}
